#!/bin/sh

#
# Copyright 2018 Cumulus Networks, Inc.
# All rights reserved.
#

# Disable eth1-2 by default as they are not wired.


# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions

# Make sure eth1 and eth2 are disabled by default as they
# are not wired.
for i in `seq 0 1`
do
    if [ -f /sys/devices/pci0000:00/0000:00:05.${i}/remove ];
    then
        echo 1 > /sys/devices/pci0000:00/0000:00:05.${i}/remove
    fi
done
